Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78875 - file does not return proper mime types
Summary: file does not return proper mime types
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: file
Version: 7.2
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-02 17:16 UTC by Need Real Name
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-16 07:57:20 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-12-02 17:16:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
Running "file -i" does not always return a valid MIME type. In my case I tested 
a pdf file and expected a return value of "application/pdf", but got "PDF 
document". When asking 'file' for MIME output the default magic file 
is "/usr/share/magic.mime". Investigating this file shows that one would get 
non-MIME strings in many other cases.

Version-Release number of selected component (if applicable): file-3.35-2


How reproducible:
Always

Steps to Reproduce:
1. execute 'file -i my_pdf_file.pdf'
	

Actual Results:  file: Using regular magic file `/usr/share/magic.mime'
my_pdf_file.pdf: PDF document


Expected Results:  file: Using regular magic file `/usr/share/magic.mime'
my_pdf_file.pdf: application/pdf


Additional info:

Mime types may be found here: http://www.isi.edu/in-
notes/iana/assignments/media-types/media-types

Comment 1 Radek Vokal 2004-08-16 07:57:20 UTC
fixed in file-4.10-1


Note You need to log in before you can comment on or make changes to this bug.